Bug 1278799 - DNF removes downloaded RPMs if the transaction fails in "Running transaction test"
DNF removes downloaded RPMs if the transaction fails in "Running transaction ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 07:58 EST by Zoltan Boszormenyi
Modified: 2016-07-19 14:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:25:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Boszormenyi 2015-11-06 07:58:14 EST
Description of problem:

I was trying to upgrade Fedora from 22 to 23 with dnf distro-sync.
I have both uuid-devel.x86_64 and uuid-devel.i686 installed.
dnf distro-sync downloaded 3.3GB and I git these messages
in Hungarian but I re-translated them to English:

Running transaction check
Transaction check succeeded
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction error
  file /usr/bin/uuid-config conflicts between attempted installs of
     uuid-devel-1.6.2-31.fc23.i686 and uuid-devel-1.6.2-31.fc23.x86_64

Despite the messages about cached packages, the next "dnf distro-sync" starts downloading the packages again.

If the dnf command fails at a different state, like pressing Ctrl-C during package downloading, the cached packages stay.

Version-Release number of selected component (if applicable):

$ rpm -q dnf
dnf-1.1.3-1.fc22.noarch

How reproducible:

Always.

Steps to Reproduce:
1. Install Fedora 22 x86_64
2. Install uuid-devel.i686 and uuid-devel.x86_64
3. Run the "dnf distro-sync" command from https://fedoraproject.org/wiki/Upgrading_Fedora_using_package_manager?rd=Upgrading_Fedora_using_yum

Actual results:

Transaction error and the already downloaded packages removed.

Expected results:

No transaction error.
At least, the already downloaded packages should be kept for a seconf dnf run.

Additional info:
Comment 1 Honza Silhan 2015-11-09 08:27:09 EST
Thanks for the report.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:27:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 14:25:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.